Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.http.server
Class ServletServerHttpRequest

    java.lang.Object
      org.springframework.http.server.ServletServerHttpRequest

All Implemented Interfaces:
  HttpInputMessage, HttpMessage, HttpRequest, ServerHttpRequest

Direct Known Subclasses:
  RequestPartServletServerHttpRequest

    public class ServletServerHttpRequest

extends Object
implements ServerHttpRequest

`ServerHttpRequest` implementation that is based on a `HttpServletRequest`.

Since:
  3.0
Author:
  Arjen Poutsma

Field Summary
`protected static String` | `FORM_CHARSET`
`protected static String` | `FORM_CONTENT_TYPE`

Constructor Summary
`ServletServerHttpRequest(HttpServletRequest servletRequest)` Construct a new instance of the ServletServerHttpRequest based on the given `HttpServletRequest`.

Method Summary
`InputStream` | `getBody()` Return the body of the message as an input stream.
`HttpHeaders` | `getHeaders()` Return the headers of this message.
`HttpMethod` | `getMethod()` Return the HTTP method of the request.
`HttpServletRequest` | `getServletRequest()` Returns the `HttpServletRequest` this object is based on.
`URI` | `getURI()` Return the URI of the request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORM_CONTENT_TYPE

    protected static final String FORM_CONTENT_TYPE

See Also:
  Constant Field Values

### FORM_CHARSET

    protected static final String FORM_CHARSET

See Also:
  Constant Field Values

Constructor Detail

### ServletServerHttpRequest

    public ServletServerHttpRequest(HttpServletRequest servletRequest)

  Construct a new instance of the ServletServerHttpRequest based on the given `HttpServletRequest`.

  Parameters:
    `servletRequest` - the servlet request

Method Detail

### getServletRequest

    public HttpServletRequest getServletRequest()

  Returns the `HttpServletRequest` this object is based on.

### getMethod

    public HttpMethod getMethod()

  Description copied from interface: `HttpRequest`
  Return the HTTP method of the request.

  Specified by:
    `getMethod` in interface `HttpRequest`
  Returns:
    the HTTP method as an HttpMethod enum value

### getURI

    public URI getURI()

  Description copied from interface: `HttpRequest`
  Return the URI of the request.

  Specified by:
    `getURI` in interface `HttpRequest`
  Returns:
    the URI of the request

### getHeaders

    public HttpHeaders getHeaders()

  Description copied from interface: `HttpMessage`
  Return the headers of this message.

  Specified by:
    `getHeaders` in interface `HttpMessage`
  Returns:
    a corresponding HttpHeaders object

### getBody

    public InputStream getBody()
                        throws IOException

  Description copied from interface: `HttpInputMessage`
  Return the body of the message as an input stream.

  Specified by:
    `getBody` in interface `HttpInputMessage`
  Returns:
    the input stream body
  Throws:
    `IOException` - in case of I/O Errors

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD